Package org.eclipse.emf.cdo.common.lob

# Class CDOClob

java.lang.Object
org.eclipse.emf.cdo.common.lob.CDOLobInfo
org.eclipse.emf.cdo.common.lob.CDOLob<Reader>
org.eclipse.emf.cdo.common.lob.CDOClob

public final class CDOClob extends CDOLob<Reader>
An identifiable character large object with streaming support.

Since:
  4.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CDOClob(Reader contents)`
`CDOClob(Reader contents, CDOLobStore store)`
`CDOClob(String contents, CDOLobStore store)`

## Method Summary

Modifier and Type
Method
Description
`Reader`
`getContents()`
`File`
`getStoreFile()`
`String`
`getString()`
`protected CDOLobInfo`
`put(Reader contents)`

### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLob

`getByteCount, getStore`

### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLobInfo

`equals, getID, getIDString, getSize, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDOClob

public CDOClob(Reader contents) throws IOException

Throws:
  `IOException`

### CDOClob

public CDOClob(Reader contents, CDOLobStore store) throws IOException

Throws:
  `IOException`

### CDOClob

public CDOClob(String contents, CDOLobStore store) throws IOException

Throws:
  `IOException`
Since:
  4.13

## Method Details

### getStoreFile

public File getStoreFile()

Specified by:
  `getStoreFile` in class `CDOLob<Reader>`

### getContents

public Reader getContents() throws IOException

Specified by:
  `getContents` in class `CDOLob<Reader>`
Throws:
  `IOException`

### getString

public String getString() throws IOException

Specified by:
  `getString` in class `CDOLob<Reader>`
Throws:
  `IOException`
Since:
  4.13

### put

protected CDOLobInfo put(Reader contents) throws IOException

Specified by:
  `put` in class `CDOLob<Reader>`
Throws:
  `IOException`